<div class="register">
    <h1>S'inscrire sur le portail</h1>
    <form #userForm="ngForm" role="form">
        <div class="field" required>
            <label for="firstname">Prénoms</label>
            <input type="text" id="firstname" name="firstname" [(ngModel)]="newUser.firstName" required>
        </div>
        <div class="field" required>
            <label for="lastname">Nom</label>
            <input type="text" id="lastname" name="lastname" [(ngModel)]="newUser.lastName" required>
        </div>
        <div class="field" required>
            <label for="email">Email</label>
            <input type="email" id="email" name="email" [(ngModel)]="newUser.email" required>
        </div>
        <div class="field" required>
            <label for="password">Password</label>
            <input type="password" id="password" name="password" [(ngModel)]="newUser.password" required>
        </div>
        <div class="field" required>
            <label for="confirmpassword">Confirm password</label>
            <input type="password" id="confirmpassword" name="confirmpassword" [(ngModel)]="confirmPassword" required>
        </div>
        <div class="field" required>
            <label for="birthday">Date de naissance</label>
            <input type="date" id="birthday" name="birthday" [ngModel]="newUser.birthDay | date:'yyyy-MM-dd'"
                (ngModelChange)="newUser.birthDay  = $event" required>
        </div>
        <div class="action">
            <button type="button" (click)="register(newUser)" [disabled]="!userForm.valid"> S'engregistrer</button>
        </div>
    </form>
</div>